Rename a namespace
curl --request POST \
--url https://api.datalinks.com/api/v1/data/{username}/{namespace}/rename \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/plain' \
--data '<string>'import requests
url = "https://api.datalinks.com/api/v1/data/{username}/{namespace}/rename"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "text/plain"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'text/plain'},
body: '<string>'
};
fetch('https://api.datalinks.com/api/v1/data/{username}/{namespace}/rename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}dataset
Rename a namespace
Rename the specified namespace.
POST
/
data
/
{username}
/
{namespace}
/
rename
Rename a namespace
Authorizations
bearerAuthopenId
Use a Bearer token for authentication. Submit the token using the Authorization
header: Authorization: Bearer <token>.
Path Parameters
Namespace for the dataset.
The username associated with the request.
Body
text/plain
The body is of type string.
Response
Renames the specified namespace.
⌘I